WordPress Upgrade

Achtung:

Fehler in wp-includes Fatal Error line 183 mo.php:

FatalError

Genial, das hat gut geklappt.
Vielen Dank.
Hier die Lösung: „Zitat“:

In function import_from_reader($reader) in file wp-includes/pomo/mo.php
change:
if (“ == $original) {
$this->set_headers($this->make_headers($translation));
} else {
by:
if (“ == $original) {
$tmp = $this->make_headers($translation);
$this->set_headers($tmp);
} else {

Home » Upgradeanleitung

Bevor du mit dem Upgrade beginnst, lies bitte die Anleitung vorher komplett durch!

Wichtig und deshalb zuerst: Bevor du beginnst, musst du unbedingt ein vollständiges Backup von allen Dateien und der Datenbank anlegen. Falls etwas schief laufen sollte, hast du mit dem Backup die Möglichkeit dein System wieder herzustellen. Du bist für deine Daten verantwortlich!

1. Lade alle Dateien der neuen Version herunter. Nachdem du die Datei entpackt hast, erhältst du das Verzeichnis “wordpress”.

2. Deaktiviere alle Plugins in deinem Blog! Das ist nötig, da eventuell nicht alle Plugins mit der neuen Version kompatibel sind.

3. Öffne mit deinem FTP-Programm dein Blogverzeichnis. Die Datei “wp-config.php” und der Ordner “wp-content” dürfen NICHT gelöscht werden, alle anderen Dateien kannst du löschen.

Achtung:

  • Wenn du die Deutsche Sprachdatei benutzt, lösche den Ordner “wp-includes/languages” nicht!
  • Wenn du ein Verzeichnis für Bild- und Dateiuploads angelegt hast, lösche es nicht!
  • Wenn du eine Permalinkstruktur benutzt, lösche die Datei “.htaccess” aus dem Hauptverzeichnis nicht!
  • Solltest du Modifikationen an bestimmten Dateien vorgenommen haben, musst du sie nach dem Upgrade erneut vornehmen.

4. Kopiere alle neuen Dateien aus dem Verzeichnis “wordpress” in dein Blogverzeichnis.

Achtung:

  • Das “classic” und das “default” Theme haben sich verändert, lade sie hoch wenn du möchtest.

5. Wenn du alle Dateien hochgeladen hast, rufe im Browser “www.deinblog.de/wp-admin/upgrade.php” auf. Du wirst dann durch den Upgradeprozess geleitet.

FERTIG!!!

————————————————–

Anmerkungen

  • Es ist nicht möglich, WP 1.5 auf einer Datenbank für 2.+ laufen zu lassen! Nach einem gescheiterten Update auf 2.+ ist, für das Downgrade auf eine der vorherigen Versionen, eine komplette Neuinstallation des vorherigen Paketes mit Einspielung der Backupdaten nötig.

Treten Probleme auf?

  • Solltest du jetzt Fehlermeldungen in deinem Blog angezeigt bekommen, liegt das wahrscheinlich daran, dass du vorher nicht (wie empfohlen) alle Plugins deaktiviert hast. Aktiviere die Plugins wieder und schaue, ob die Fehler weiterhin auftreten.
  • Wenn du alle Plugins aktiviert hast und weiterhin Fehlermeldungen angezeigt bekommst, deaktiviere jedes Plugin einzeln und überprüfe, welches Plugin Probleme macht. Besuche das Blog des Pluginautors und frage nach ob eine aktualisierte Version erhältlich ist.
  • Im Codex findest du eine Liste von Plugins, die nicht mit WP 2.+ funktionieren, oder bei denen Änderungen vorgenommen werden müssen.
  • Falls es keine brauchbare Version eines von dir benötigten Plugins gibt, sieh dir die Liste funktionierender Plugins an, vielleicht kann ein anderes die gewünschte Funktion bieten.
  • Wenn ein Plugin so viel Ärger macht, dass du nicht auf die Admin-Seite kommst, um es zu deaktivieren, lösche einfach die Dateien, die zu diesem Plugin gehören, aus dem Plugin-Verzeichnis /wp-content/plugins/.

One Response to “WordPress Upgrade”

  1. Werner Says:

    Backup der SQL-Datenbank:

    MYSQL sichern über phpadmin.
    1- mit droptable
    1- Vollständige inserts
    1- Mit If not exist
    1- Ohne Kompression
    1- Als Datei speichern

Hinterlassen Sie eine Antwort

Sie müssen angemeldet sein, um einen Kommentar abzugeben.


Zur Werkzeugleiste springen